org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` `optional string name = 1;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 1;`
    `String` | `getValue()` `optional string value = 2;`
    `com.google.protobuf.ByteString` | `getValueBytes()` `optional string value = 2;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasValue()` `optional string value = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`

    - #### getName

          String getName()

      `optional string name = 1;`

    - #### getNameBytes

          com.google.protobuf.ByteString getNameBytes()

      `optional string name = 1;`

    - #### hasValue

          boolean hasValue()

      `optional string value = 2;`

    - #### getValue

          String getValue()

      `optional string value = 2;`

    - #### getValueBytes

          com.google.protobuf.ByteString getValueBytes()

      `optional string value = 2;`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.